/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.3 $ $Date: 2002/07/09 10:55:30 $      */
/* ------------------------------------------------------------------------ */

#if !defined(AFX_OPTIONSPAGE_H__8C5F9DB1_AF12_47F6_BD6F_04ACFDFDFBA6__INCLUDED_)
#define AFX_OPTIONSPAGE_H__8C5F9DB1_AF12_47F6_BD6F_04ACFDFDFBA6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "options.h"

/**
 * Option page of the options folder
 */
class COptionsPage : public CPropertyPage
{
public:
	/**
	 * Construction
	 */
	COptionsPage();
	
	/**
	 * Destruction
	 */
	~COptionsPage();

	// Dialog Data
	//{{AFX_DATA(COptionsPage)
	enum { IDD = IDD_DIALOG_OPTIONS };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA

	
	/**
	 * Set status bar for error/info messages
	 */
	void SetStatusBar( CEdit* status );

	/**
	 * Called when the folder page becomes visible. This is
	 * putting the page into the right place.
	 */
	void SetVisible(CTabCtrl* parent);

	/**
	 * Sets the widgets values.
	 */
	void SetOptions();

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(COptionsPage)
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(COptionsPage)
	afx_msg void OnCheck11();
	afx_msg void OnCheck12();
	afx_msg void OnCheck13();
	afx_msg void OnCheck14();
	afx_msg void OnCheck15();
	afx_msg void OnCheck16();
	afx_msg void OnCheck17();
	afx_msg void OnCheck21();
	afx_msg void OnCheck31();
	afx_msg void OnCheck32();
	afx_msg void OnCheck33();
	afx_msg void OnCheck18();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	/**
	 * Initialization flag
	 */
	bool init;

	/**
	 * Puts the new values into the widgets
	 */
	void BuildCommand();

	/**
	 * Status bar for info/error messages
	 */
	CEdit* m_statusbar;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSPAGE_H__8C5F9DB1_AF12_47F6_BD6F_04ACFDFDFBA6__INCLUDED_)
