/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.2 $ $Date: 2002/07/09 10:55:30 $      */
/* ------------------------------------------------------------------------ */

#if !defined(AFX_FILESPAGE_H__0A60A9B2_F6C2_4853_BC53_2C608CAD79D6__INCLUDED_)
#define AFX_FILESPAGE_H__0A60A9B2_F6C2_4853_BC53_2C608CAD79D6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// filespage.h : header file
//

#include "stdafx.h"
#include "nmapwin.h"
#include "options.h"

/**
 * Files page of the options folder
 */
class CFilesPage : public CPropertyPage
{
public:
	
	/**
	 * Construction
	 */
	CFilesPage();
	
	/** 
	 * Destruction
	 */
	~CFilesPage();

	/**
	 * Set status bar for error/info messages
	 */
	void SetStatusBar( CEdit* status, CEdit* hostedit );

	/**
	 * Called when the folder page becomes visible. This is
	 * putting the page into the right place.
	 */
	void SetVisible( CTabCtrl* parent );

	/**
	 * Sets the widgets values.
	 */
	void SetOptions();

	// Dialog Data
	//{{AFX_DATA(CFilesPage)
	enum { IDD = IDD_DIALOG_FILES };
	//}}AFX_DATA


	// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFilesPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	// Generated message map functions
	//{{AFX_MSG(CFilesPage)
	afx_msg void OnCheck6();
	afx_msg void OnChangeEdit5();
	afx_msg void OnCheck1();
	afx_msg void OnCheck12();
	afx_msg void OnChangeEdit6();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnCheck21();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	/**
	 * Puts the new values into the options struct.
	 */
	void BuildCommand();

	/**
	 * Status bar for info/error messages
	 */
	CEdit* m_statusbar;

	/**
	 * Host edit box
	 */
	CEdit* m_hostedit;

	/**
	 * Initialization flag.
	 */
	bool init;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILESPAGE_H__0A60A9B2_F6C2_4853_BC53_2C608CAD79D6__INCLUDED_)
