/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.1 $ $Date: 2002/05/19 23:51:35 $      */
/* ------------------------------------------------------------------------ */

#if !defined(AFX_PANELS_H__7802BE3A_4BA2_4EDD_8526_EA7578C7AB28__INCLUDED_)
#define AFX_PANELS_H__7802BE3A_4BA2_4EDD_8526_EA7578C7AB28__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Dispatch interfaces referenced by this interface
class CPanel;

/////////////////////////////////////////////////////////////////////////////
// CPanels wrapper class

class CPanels : public COleDispatchDriver
{
public:
	CPanels() {}		// Calls COleDispatchDriver default constructor
	CPanels(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CPanels(const CPanels& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	short GetCount();
	void SetCount(short nNewValue);
	CPanel Add(VARIANT* Index, VARIANT* Key, VARIANT* Text, VARIANT* Style, VARIANT* Picture);
	void Clear();
	CPanel GetItem(VARIANT* Index);
	void SetRefItem(VARIANT* Index, LPDISPATCH newValue);
	void Remove(VARIANT* Index);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PANELS_H__7802BE3A_4BA2_4EDD_8526_EA7578C7AB28__INCLUDED_)
